Subject: Re: UTF-8 in ftp client.
From: Václav Haisman <[email-masked]>
To: Oleksandr Gavenko <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 06 Apr 2010 15:22:27 +0200
List-Id: <cygwin.cygwin.com>

On Tue, 06 Apr 2010 15:58:18 +0300, Oleksandr Gavenko <> wrote:
> On 2010.04.06 12:50, Oleksandr Gavenko wrote:
>> I use filezilla to host file server. As explain article:
>>
>> http://wiki.filezilla-project.org/Character_Set
>>
>> for multilang environment need use UTF-8.
>>
>> How can I force Cygwin ftp client use UTF-8?
>>
>> ftp> ls
>> 200 Port command successful
>> 150 Opening data channel for directory list.
>> drwxr-xr-x 1 ftp ftp 0 Oct 16 2009 music
>> drwxr-xr-x 1 ftp ftp 0 Sep 11 2009 pub
>> drwxr-xr-x 1 ftp ftp 0 Apr 06 09:28 VERSUS. РҐСЂСѓСЃС‚ Р±РµР·
>> РїСЂР°РІРёР»
>> -r--r--r-- 1 ftp ftp 9994240 Apr 05 13:15 РҐСЂРµРЅСЊ.
>> РЎРµРЅСЃР°РЅС†РёРѕРЅРЅС‹Р№ РґРѕРєСѓРјРµРЅС‚Р°Р»СЊРЅС‹Р№ С„РёР»СЊРј.mp4
>>
>>
> I read http://www.ietf.org/rfc/rfc2640.txt
> Standard say that server can report UTF-8 support by FEAT command but
> Cygwin ftp client dont understand it:
> 
> ftp> rhelp feat
> 214 Command FEAT is supported by FileZilla Server
> ftp> feat
> ?Invalid command
> ftp> help feat
> ?Invalid help command feat
> 
> rfc2640 dated by 1999, so long time left.
There is no such thing (AFAIK) as "Cygwin ftp client." You are most likely
running the Windows FTP client from WINDOWS/SYSTEM32 directory. Install
lftp or other FTP client using setup.exe.

--
VH

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple